Bug 201392 - "megaraid" driver module fails to function when loaded after "i2o_block" is loaded
"megaraid" driver module fails to function when loaded after "i2o_block" is l...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-04 15:24 EDT by james
Modified: 2008-01-19 23:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:41:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james 2006-08-04 15:24:40 EDT
Description of problem:

During install, with the AMI MegaRAID Express 200 (Series 466) / Dell PERC 2/SC,
anaconda fails to load the "megaraid" driver module properly, and fails to
install fedora.

There seems to be a problem with the megaraid module not initializing the
hardware in a robust manner, or possibly with the i2o_driver modules being
overly aggresive with the hardware.  Either way, if the magaraid module is
loaded _before_ the i2o_block module, everything works fine.  If, instead, the
i2o_block module is loaded _before_ the megaraid module, the megaraid module
fails to function properly.  Unloading the i2o_block module does not help.

Anaconda finds an I2O interface and loads the "i2o_block" driver _before_
looking for the legacy MegaRAID interface and loading the megaraid module.  The
workaround is to try the megaraid module first when looking for hard drives. 
The proper solution would be to fix the megaraid module.


Version-Release number of selected component (if applicable):
fedora core 5

How reproducible:
every time

Steps to Reproduce:
1. install fedora core 5

 
Actual results:
no megaraid hard drive on which to install.



Additional info:

anaconda installs are successful less than 50% of attempts - really, really,
sucks.  Having to make some - how many? hundreds? - of selections for a custom
configuration - there is no "install everything" or "install everything except
..." is, not just "unprofessional", but seems at least "rude", and possibly just
"mean spirited".
Comment 1 Dave Jones 2006-10-16 15:28:54 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Jon Stanley 2008-01-19 23:41:23 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.